@import url('https://fonts.googleapis.com/css2?family=League+Gothic&family=Outfit:wght@100..900&family=Ropa+Sans:ital@0;1&family=Vast+Shadow&display=swap');

/* override c7 styles */
body {
	--c7-field-border-radius: 0px; 
	--c7-button-border-radius: 0px; 
	--c7-primary-button-bg: #9b000e;
	--c7-primary-button-bg-hover:#9b000e;
	--c7-primary-button-text-color: #fff;
	--c7-heading-font-family: 'Vast Shadow',display;
	--c7-heading-font-weight: 500;
	--c7-font-family: 'Cairo',Helvetica,Arial,Lucida,sans-serif;
	--c7-body-text-color: #000;
	--c7-link-color:#000;
	--c7-field-option-selected-color: #9b000e;
	--c7-field-option-focus-color: #9b000e;
}

/* account header */
#account-header {
	display: inline-flex;
	width: auto;
	justify-content: end;
	position: absolute;
	right: 10px;
	top: 10px;
}

/* Squarespace */
/* in staging mode 
#account-header {
display: inline-flex;
width: 100%;
justify-content: end;
} */
/* position absolute option
#account-header {
display: inline-flex;
position: absolute;
top: 10px;
right: 10px;
z-index: 999;
}
*/

#account-header #c7-account {
	padding-right: 10px;
	display:inline-block;
}
#account-header #c7-cart .c7-user-nav__cart {
	display:flex;
}
#account-header > #c7-cart {
	display:inline-flex;
}
#c7-account, #c7-cart {
	display:inline-block;
	margin-left: 5px;

}
#c7-account .c7-user-nav__account a {
	color:#fff;
	padding:0px;
	font-size: 18px;
	line-height: 1;
}
.c7-user-nav__account__name svg {
	stroke: #fff;
}
#c7-account .c7-user-nav__account__dropdown a {
	color: var(--c7-body-text-color);
}
#c7-cart .c7-user-nav__cart .c7-link:first-child {
	background-color: transparent;
	border:none;
} 
body .c7-reservation-widget .c7-date-picker-dropdown button {
	padding: 0px;
}
#c7-cart .c7-user-nav__cart .c7-user-nav__cart__title svg {
	stroke:#fff;
}
#c7-cart .c7-user-nav__cart__count {
	background-color: #000;
}
#c7-cart .c7-user-nav__cart button.c7-link {
	padding: 0px !important;
}
#c7-cart .c7-order-item__description {
	margin-top: 10px;
	font-size: 10px;
}
/* Overall styling */

body h1.c7-h1, 
body .c7-account__header p:first-of-type {
	font-family: 'Vast Shadow',display;
	text-transform: uppercase!important;
	text-align: center;
}

body h2.c7-h2 {
	text-transform: uppercase!important;
}

/* button styles */
body .c7-btn {
	letter-spacing: 2px;
	font-family: 'Cairo',Helvetica,Arial,Lucida,sans-serif !important;
	font-weight: 700 !important;
	text-transform: uppercase !important;
	background-color: #9b000e!important;
	color: #fff!important;
	position: relative;
	padding: 11px 30px 11px 20px;
	min-height: 46px;
}

body .c7-btn::after {
	font-family: 'ETmodules' !important;
	font-size: 1.6em;
	line-height: 23px;
	content: "\35";
	opacity: 0;
	position: absolute;
	margin-left: -1em;
	-webkit-transition: all .2s;
	transition: all .2s;
	text-transform: none;
	-webkit-font-feature-settings: "kern" off;
	font-feature-settings: "kern" off;
	font-variant: none;
	font-style: normal;
	font-weight: 400;
	text-shadow: none;
	right: 0;    
	transform: translateX(-10px);
	top: 10px;
}

body .c7-btn:hover::after, 
body .c7-cart__buttons .c7-btn:hover::after {
	opacity: 1;
	margin-left: 0;
	transform: translateX(0px);
}


/* slide out cart */
body .c7-side-cart__header button {
	background-color: transparent;
	color:#000;
}

body .c7-order-item__title {
	font-family: var(--c7-heading-font-family);
}

body .c7-order-item__title a {
	color: #000;
}

/* shrink checkout buttons */
body .c7-order-summary__buttons a {
	font-size: 12px;
	line-height: 24px;
}


/* make link buttons look like links */
body button.c7-link {
	background-color:transparent;
	border: 0px;
	color: var(--c7-body-text-color);
}
body button.c7-link:hover {
	opacity: 0.6;
}


/* dashboard tweaks */
.c7-account__dashboard__message {
	margin-bottom: 20px;
}
.c7-account-row {
	max-width: 100% !important;
	justify-content: space-between !important;
}
body .c7-account-login__password-options {

}
body .c7-account-login__options {

}

/* cart styling */
.cart-row h1 {
	display:none;
}
.c7-cart__wrapper, .c7-account__dashboard {
	max-width: 100% !important;
	margin:0px auto !important;
	justify-content: space-between !important;
}

/* fix lightboxes that go behind sticky header */
/* body .c7-modal-container {
top: 14%;
} */



/* hide club cancelation 
.c7-account-club .c7-account-blocks--status .c7-account-block__actions {
display:none !important;
}
.c7-callout--club .c7-callout__details li:nth-child(2), .c7-callout--club .c7-callout__details li:nth-child(3) {
display:none !important;
}*/

/* hide club skip
.c7-account-club__shipment__footer .c7-btn--skip {
display:none !important;
}*/


/* hide delete account 
.c7-account-details .c7-account-details__delete-account {
display:none !important;
}*/

/* hide reservations 
.c7-account__menu li:nth-child(4) {
display:none;
}
.c7-account-dashboard__left-column .c7-account-block:nth-child(3) {
display:none;
}
.c7-user-nav__account__dropdown__header ul li:nth-child(4) {
display:none;
}
*/

/* collection styling */
.c7-product-collection .c7-product {
	display:block !important;
	text-align: center !important;
}
.c7-product-collection__product-list {
	grid-template-columns: 1fr 1fr 1fr !important;
}
.c7-product-collection .c7-product img {
	width: auto;
	object-fit:cover;
}
.c7-product__add-to-cart__price {
	display: flex;
	align-items: baseline;
}

.c7-product-collection__product-list .c7-product__details .c7-product__add-to-cart__price {
	justify-content: center;
}

.collection-container {
	display: flex;
	gap: 20px;
}

.collection-container .et_pb_column:first-of-type {
	width: 250px;
	margin-right: 0;
}

.collection-container #c7-collection-list {
	padding-top: 54px;
} 

.collection-container #c7-collection-list a {
	letter-spacing: 2px;
	font-family: 'Cairo',Helvetica,Arial,Lucida,sans-serif !important;
	font-weight: 700 !important;
	text-transform: uppercase !important;
	color: #000;
}

.collection-container #c7-collection-list a:hover {
	color: #9b000e;	
}

.collection-container .et_pb_column.et-last-child {
	width: calc(100% - 250px);
} 

#c7-collection-list .c7-user-nav__collection-list ul {
	display: flex;
	flex-direction: column;
}
#c7-collection-list li.c7-user-nav__collection-list__bowlus-hills1 { 
	order: 4; 
}
#c7-collection-list li.c7-user-nav__collection-list__dessert { 
	order: 5; 
}
#c7-collection-list li.c7-user-nav__collection-list__gift-cards { 
	order: 7; 
}
#c7-collection-list li.c7-user-nav__collection-list__library { 
	order: 6; 
}
#c7-collection-list li.c7-user-nav__collection-list__red { 
	display: none; 
}
#c7-collection-list li.c7-user-nav__collection-list__red1 { 
	order: 1; 
}
#c7-collection-list li.c7-user-nav__collection-list__reserves { 
	order: 3; 
}
#c7-collection-list li.c7-user-nav__collection-list__shipping--return-policy { 
	order: 8;
}
#c7-collection-list li.c7-user-nav__collection-list__white { 
	order: 2; 
}
#c7-collection-list li.c7-user-nav__collection-list__wines { 
	display: none; 
}

/* fix default right margin on image grid */
.c7-product-collection .c7-product__image {
	margin-right: 0px;
}
.c7-product-collection .c7-product .c7-product__add-to-cart__form {
	justify-content: center !important;
	align-items: center !important;
}

/* calendar styling ADA fix */
.c7-reservation-widget .c7-date-picker-input button {
	background-color: transparent !important;
	border-radius: 0px !important;
}
.c7-reservation-widget .c7-date-picker-dropdown button {
	color:inherit;
	background-color: inherit;
}

/* reservation */
.entry-content #c7-content thead th, 
.entry-content #c7-content tr th,
.entry-content #c7-content tr td {
	padding: 0;
}

/* club */
.page-id-649 #c7-content .c7-h1 {
	display: none;
}

.club-row .et_pb_column_1_2 {
	margin-right: 2%;
	min-height: 300px;
	display: block;
}

.club-row .et_pb_column_1_2.et-last-child {
	display: grid;
	grid-template-columns: 1fr 1fr;
	row-gap: 5px;
	column-gap: 20px;
}

.club-row .et_pb_column_1_2.et-last-child > div:nth-child(1),
.club-row .et_pb_column_1_2.et-last-child > div:nth-child(2) {
	grid-column: span 2;
}

/* checkout */
body .c7-checkout__footer a {
	color: #9b000e;
}

/* mobile overrides */
@media screen and (max-width: 1024px){
	/* two column on tablet */ 
	.c7-product-collection__product-list {
		grid-template-columns: 1fr 1fr !important;
	} 

	body .et_pb_fullwidth_menu--style-inline_centered_logo .et_pb_row > .et_pb_menu__logo-wrap {
		margin-bottom: 10px;
		margin-top: 35px;
	}
}

@media screen and (max-width: 767px){
	/* one column on mobile */
	.c7-product-collection__product-list {
		grid-template-columns: 1fr !important;
	} 

	.c7-product-specs {
		text-align: left !important;
		margin: 0px !important;
	}
	.c7-product-specs h2 {
		text-align: left !important;
	}

	.collection-container {
		flex-wrap: wrap;
	}

	.collection-container .et_pb_column:first-of-type,
	.collection-container .et_pb_column.et-last-child {
		width: 100%;
	}

	.collection-container #c7-collection-list {
		padding-top: 0;
	}

	.collection-container .c7-user-nav__collection-list li {
		text-align: center;
	} 
	
	.club-row .et_pb_column_1_2.et-last-child > div {
		grid-column: span 2;
	}
}